﻿ 
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Net;
using System.Threading;
using System.Web;
using System.Web.Services;
 

namespace JSChartExportDemo
{
    /// <summary>
    /// Summary description for ChartExportService
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]

    public class ChartExportService : System.Web.Services.WebService
    {
        [WebMethod]
        public void SaveChart()
        {            
            string data = Context.Request.Form["data"];
            string type = Context.Request.Form["format"];
            data = data.Remove(0, data.IndexOf(',') + 1);
            MemoryStream stream = new MemoryStream(Convert.FromBase64String(data));
            Bitmap bmp=(Bitmap)Bitmap.FromStream(stream);

            switch (type.ToLower())
            {
                case "pdf":
                     PdfDocument pdfDoc = new PdfDocument();

                    pdfDoc.Pages.Add();
                    pdfDoc.Pages[0].Graphics.DrawImage(PdfImage.FromStream(stream), new PointF(10, 30));
                    pdfDoc.Save(Context.Response.OutputStream);
                    pdfDoc.Close(true);                    
                    stream.Close();
                    
                    break;

              

                default:
                    stream.WriteTo(Context.Response.OutputStream);
                    stream.Close();
                    break;
            }
            
            //Disposing stream and images
            stream.Dispose();
            bmp.Dispose();

            //Allowing client to download the saved image
            Context.Response.ContentType = "application/octet-stream";
            Context.Response.AddHeader("Content-Disposition", String.Format("attachment;filename=ChartExport." + type.ToLower()));
            Context.Response.Flush();
        }       
    }   
}
