﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using System.Web.Services;
using System.IO;
using System.Reflection;
using Newtonsoft.Json.Linq;
using System.Data;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Parsing;
using System.Diagnostics;
using System.Drawing;


namespace WebApplication1.Controllers
{
    public class HomeController : Controller
    {
        public void DownloadContent()
        {
            string data = Request.Form["data"];
            string filename = Request.Form["FileName"];
            string filetype = Request.Form["FileType"];
            data = data.Remove(0, data.IndexOf(',') + 1);
            MemoryStream stream = new MemoryStream(Convert.FromBase64String(data));


            //Exporting Chart to PDF
            if (filetype.ToLower().Equals("pdf"))
            {
                PdfDocument pdfDoc = new PdfDocument();
                pdfDoc.Pages.Add();
                pdfDoc.Pages[0].Graphics.DrawImage(PdfImage.FromStream(stream), new PointF(10, 30));
                pdfDoc.Save(Response.OutputStream);
                pdfDoc.Close();
            }

            Response.ContentType = "application/octet-stream";
            Response.AddHeader("Content-Disposition", String.Format("attachment;filename={0}", (filename.Equals(string.Empty) ? "Chart" : filename) + "." + filetype.ToLower()));
            Response.Flush();
            stream.Close();
            stream.Dispose();
        }

        public ActionResult Index()
        {
            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}